JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const connections = await client.connections.list();
console.log(connections.connections);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
connections = client.connections.list()
print(connections.connections)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
connections, err := client.Connections.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", connections.Connections)
}
hyperspell connections list \
--api-key 'My API Key'curl --request GET \
--url https://api.hyperspell.com/connections/list \
--header 'Authorization: Bearer <token>'
{
"connections": [
{
"id": "<string>",
"integration_id": "<string>",
"label": "<string>",
"selected_count": 0,
"scope": "user"
}
]
}Connections
List connections
List all connections for the user.
GET
/
connections
/
list
JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const connections = await client.connections.list();
console.log(connections.connections);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
connections = client.connections.list()
print(connections.connections)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
connections, err := client.Connections.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", connections.Connections)
}
hyperspell connections list \
--api-key 'My API Key'Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I